> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequentum.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get run status

> Returns the current status and details of a specific run. Faster than the agent-runs
list endpoint when you only need to check a single run; checks both the active runs
table and the run history.



## OpenAPI

````yaml GET /api/v1/agent/{agentId}/run/{runId}/status
openapi: 3.0.1
info:
  title: Sequentum Cloud API
  description: API endpoints for Sequentum Cloud
  version: v1
servers: []
security:
  - ApiKey: []
    Bearer: []
paths:
  /api/v1/agent/{agentId}/run/{runId}/status:
    get:
      tags:
        - ApiAgent
      summary: Get the status of a specific run
      description: >-
        Returns the current status and details of a specific run. Faster than
        the agent-runs

        list endpoint when you only need to check a single run; checks both the
        active runs

        table and the run history.
      parameters:
        - name: agentId
          in: path
          description: The ID of the agent/config
          required: true
          schema:
            type: integer
            format: int32
        - name: runId
          in: path
          description: The ID of the run to check
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: Returns the run status and details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentRunApiModel'
        '401':
          description: If the API key is missing or invalid
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: If the run or agent is not found, or user doesn't have access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    AgentRunApiModel:
      type: object
      properties:
        id:
          type: integer
          format: int64
        configId:
          type: integer
          format: int64
        configName:
          type: string
          nullable: true
        spaceId:
          type: integer
          format: int32
        organizationId:
          type: integer
          format: int32
        organizationName:
          type: string
          nullable: true
        sequence:
          type: integer
          format: int64
        parallelism:
          type: integer
          format: int32
          nullable: true
        parallelMaxConcurrency:
          type: integer
          format: int32
          nullable: true
        parallelExport:
          $ref: '#/components/schemas/ParallelExport'
        parallelSet:
          type: integer
          format: int32
          nullable: true
        startTime:
          type: string
          format: date-time
          nullable: true
        endTime:
          type: string
          format: date-time
          nullable: true
        created:
          type: string
          format: date-time
          nullable: true
        status:
          $ref: '#/components/schemas/RunStatus'
        message:
          type: string
          nullable: true
        configVersion:
          type: integer
          format: int32
          nullable: true
        actionCount:
          type: integer
          format: int32
        pageCount:
          type: integer
          format: int32
        dynamicPageCount:
          type: integer
          format: int32
        requestCount:
          type: integer
          format: int32
        dataCount:
          type: integer
          format: int32
        inputCount:
          type: integer
          format: int32
          nullable: true
        errorCount:
          type: integer
          format: int32
        exportCount:
          type: integer
          format: int32
          nullable: true
        traffic:
          type: integer
          format: int64
          nullable: true
        runTimeSec:
          type: integer
          format: int32
          nullable: true
        serverName:
          type: string
          nullable: true
        tableType:
          type: string
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    ParallelExport:
      enum:
        - Combined
        - Separated
      type: string
      description: '`0` = `Combined`; `1` = `Separated`'
    RunStatus:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
        - 10
        - 11
        - 12
      type: integer
      description: >-
        `0` = `Invalid`; `1` = `Running`; `2` = `Exporting`; `3` = `Starting`;
        `4` = `Queuing`; `5` = `Stopping`; `6` = `Failure`; `7` = `Failed`; `8`
        = `Stopped`; `9` = `Completed`; `10` = `Success`; `11` = `Skipped`; `12`
        = `Waiting`
      format: int32
  securitySchemes:
    ApiKey:
      type: apiKey
      description: >-
        API Key authorization header. Example: "Authorization: ApiKey
        {your-api-key}"
      name: Authorization
      in: header
    Bearer:
      type: http
      description: 'OAuth 2.0 Bearer token. Example: "Authorization: Bearer {access-token}"'
      scheme: bearer
      bearerFormat: JWT

````